Subject: Re: [PATCH 2/3] [VLAN]: Update iif when receiving via VLAN device

From: jamal <[email-masked]>
Date: Thu, 29 Jun 2006 20:08:19 -0400

On Thu, 2006-29-06 at 16:47 -0700, David Miller wrote:
> From: Thomas Graf <[email-masked]>
> Date: Fri, 30 Jun 2006 01:39:33 +0200
> 
> > * jamal <[email-masked]> 2006-06-29 19:23
> > > I know your intent is noble in trying to save the 32 bits on 64 bit
> > > machines (at least thats where your patch seems to have started) but the
> > > cost:benefit ratio as i have pointed out is unreasonable. 
> > 
> > Did I ever claim this? You made this up right now. As of now
> > it doesn't save a single bit.
> 
> Right.
> 

What am i missing?
on 64bit machine, does it not save 32 bits to use an ifindex as opposed
to the pointer?

> From what I can see Thomas's work allows to do correct
> reference counting on the input_dev, something which is
> not possible right now and is a bug.

Yes, it is a bug, but:
dev_hold/put dont work anymore? why do you need an ifindex instead?

cheers,
jamal